﻿
using Microsoft.AspNetCore.Identity;
using Microsoft.Extensions.DependencyInjection;
using System;
public static class IdentityBuilderExtension
{
    public static IdentityBuilder AddManager<TManager>(this IdentityBuilder builder, Action<IServiceCollection> implementation)
        where TManager : class
    {
        implementation.Invoke(builder.Services);
        return builder;
    }
    //public static IdentityBuilder AddPasswordManager<>(this IdentityBuilder builder, Action<IServiceCollection> implementation)
    //    where TManager : class
    //{
    //    implementation.Invoke(builder.Services);
    //    return builder;
    //}
}

