﻿
namespace Common.IdentityServerRepository.Infrastructure
{
    using System;
    using System.ComponentModel.DataAnnotations;
    using Interfaces;        
    
    public class IdentityClientSecret<TKey>: IClientSecret<TKey>  
         where TKey : IEquatable<TKey>
    {        
        public virtual TKey ClientId { get; set; }        
        public virtual TKey SecretId { get; set; }        
    }

    public class IdentityClientSecret : IdentityClientSecret<string> {

    }
}
