﻿
namespace Common.IdentityServerRepository.Interfaces
{    
    using System;
    public interface IClient<TKey>
    {
        TKey Id { get; }
        string ClientName { get; set; }
        string Description { get; set; }
        DateTime Created { get; set; } 
        DateTime? Updated { get; set; }
        DateTime? LastAccessed { get; set; }        
        bool LockoutEnabled { get; set; }
        TKey UserId { get; set; }        
    }
}
