﻿
namespace Common.IdentityServerRepository.Interfaces
{
    using System;
    using System.Linq;
    public interface IQueryableClientSecretStore<TClientSecret, TKey>
        : IClientSecretStore<TClientSecret, TKey>, IDisposable
        where TClientSecret : IClientSecret<TKey>
        where TKey : IEquatable<TKey>
    {
        IQueryable<TClientSecret> ClientsSecrets { get; }
    }
}
