﻿
namespace Common.IdentityServerRepository.Interfaces
{
    using System;
    using System.Linq;
    public interface IQueryableSecretStore<TSecret, in TKey>
        : ISecretStore<TSecret, TKey>, IDisposable
        where TSecret: ISecret<TKey>
    {
        IQueryable<TSecret> Secrets { get; }
    }
}
