﻿
namespace Common.IdentityServerRepository.Interfaces
{
    using System;
    public interface ISecret<out TKey>
    {
        TKey Id { get; }
        string Description { get; set; }
        string Value { get; set; }
        DateTime? Expiration { get; set; }
        string Type { get; set; }
        DateTime Created { get; set; }
    }
}
