﻿

namespace Common.IdentityServerRepository.Interfaces
{
    using System;
    using Microsoft.EntityFrameworkCore;
    using Infrastructure;    
    public interface ISecretDbContext<TSecret, TKey>
        where TSecret : IdentitySecret<TKey>
        where TKey : IEquatable<TKey>
    {
        DbSet<TSecret> Secrets { get; set; }
    }
}
