﻿
using Common.IdentityServerRepository.MySQL;
using Microsoft.AspNetCore.Mvc;

namespace Membership.Web.Controllers
{
    public class BaseController : Controller
    {
        private readonly MyUserManager _userManager;
        private readonly MyClientManager _clientManager;        

        public BaseController(MyUserManager userManager, MyClientManager clientManager) {
            _userManager = userManager;
            _clientManager = clientManager;            
        }

        protected MyUserManager UserManager => _userManager;
        protected MyClientManager ClientManager => _clientManager;        
    }
}
