﻿
namespace Common.IdentityServerRepository.MySQL.Entities
{
    using System;
    using Microsoft.AspNetCore.Identity; 

    public class MyUser : IdentityUser
    {
        public MyUser()
            : base() {
        }

        public MyUser(string userName)
            : base(userName) {
        }
        
        //Custom properties here
        public virtual DateTime? PasswordChangeDate { get; set; }
        public virtual DateTime? ActivityDate { get; set; }
        public virtual string ResetPasswordToken { get; set; }
        public virtual string AuthorizationCode { get; set; }
        public virtual string EmailConfirmToken { get; set; }        
    }
}
