﻿
namespace Common.IdentityServerRepository.Interfaces
{
    using System;
    using Microsoft.EntityFrameworkCore;
    using Infrastructure;    
    public interface IClientDbContext<TClient, TKey>
            where TClient : IdentityClient<TKey>
            where TKey : IEquatable<TKey>
    {
        DbSet<TClient> Clients { get; set; }
    }
}
