﻿
namespace Common.IdentityServerRepository.Interfaces
{
    using System;
    using Microsoft.EntityFrameworkCore;
    using Infrastructure;

    public interface IClientSecretDbContext<TClientSecret, in TKey>
        where TClientSecret : IdentityClientSecret<TKey>
        where TKey : IEquatable<TKey>
    {
        DbSet<TClientSecret> ClientSecrets { get; set; }
    }
}
