﻿
using Microsoft.AspNetCore.Mvc;
using System.Linq;
using System;
using System.Threading.Tasks;
using Common.IdentityServerRepository.MySQL;
using Common.IdentityServerRepository.MySQL.Entities;

namespace Membership.Web.Controllers
{
    public class HomeController : BaseController        
    {
        public HomeController(MyUserManager userManager, MyClientManager clientManager)
            : base(userManager, clientManager) { }

        public async Task<IActionResult> Index() {

            //Create a new client
            int number = new Random(1000).Next();
            //await ClientManager.AddAsync(new MyClient { Id = Guid.NewGuid().ToString(), ClientName = "Client" + number, LockoutEnabled = false, Created = DateTime.Now });

            
            var result = await ClientManager.ExistsAsync("04aba108-430c-45bf-a6d9-8e89250f39a5");

            return View();
        }
    }
}
